@import '../../styles/variables.scss';

/**
  Стили для заголовка
  Компонент <Title />
 */
.title {
  margin: 0;

  font-family: 'Jost', sans-serif;

  color: $black;

  &__h1 {
    font-size: 30px;
    line-height: 38px;
  }

  &__h2 {
    font-size: 24px;
    line-height: 30px;
  }

  &__h3 {
    font-size: 20px;
    line-height: 25px;
  }

  &__gray {
    color: $gray-4;
  }
}

@media (min-width: $breakpoint-1) {
  .title {
    &__h1 {
      font-size: 36px;
      line-height: 45px;
    }

    &__h2 {
      font-size: 26px;
      line-height: 33px;
    }

    &__h3 {
      font-size: 22px;
      line-height: 28px;
    }
  }
}

@media (min-width: $breakpoint-2) {
  .title {
    &__h1 {
      font-size: 48px;
      line-height: 60px;
    }

    &__h2 {
      font-size: 36px;
      line-height: 45px;
    }
  }
}


/**
  Стили для подзаголовка
  Компонент <SubTitle />
 */
.subtitle {
  font-family: 'Jost', sans-serif;

  color: $black;

  p {
    margin: 0;
  }

  &__xl {
    font-size: 18px;
  }

  &__l {
    font-size: 16px;
  }

  &__m {
    font-size: 14px;
  }

  &__s {
    font-size: 12px;
  }

  &__gray {
    color: $gray-4;
  }
}

/**
  Стили для текста
  Компонент <Text />
 */
.text {
  font-family: 'Jost', sans-serif;

  color: $black;

  &__xxl {
    font-size: 22px;
    line-height: 32px;
  }

  &__xl {
    font-size: 18px;
    line-height: 27px;
  }

  &__l {
    font-size: 16px;
    line-height: 22px;
  }

  &__m {
    font-size: 14px;
    line-height: 20px;
  }

  &__s {
    font-size: 12px;
    line-height: 17px;
  }

  &__gray {
    color: $gray-4;
  }

  &__white {
    color: $white;
  }

  &__red {
    color: $red;
  }
}

@media (min-width: $breakpoint-2) {
  .text {
    &__xxl {
      font-size: 36px;
      line-height: 52px;
    }

    &__xl {
      font-size: 20px;
      line-height: 25px;
    }

    &__l {
      font-size: 18px;
      line-height: 27px;
    }

    &__m {
      font-size: 16px;
      line-height: 24px;
    }

    &__s {
      font-size: 14px;
      line-height: 21px;
    }
  }
}
